package com.ym.mec.biz.dal.dto;

import java.util.Date;
import java.util.List;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.enums.TeachModeEnum;

public class BatchInsertCoursesDto {
	
	private String musicGroupId;

	private Integer classGroupId;

	private int coursesTimes;

	private Date startDate;

	private List<CourseTimeDto> teachingArrangementList;

	private TeachModeEnum teachMode;

	private CourseScheduleType type;

	private Integer schoolId;

	private boolean isJumpHoliday;
	
    private List<Long> courseScheduleIdList;

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Integer getClassGroupId() {
		return classGroupId;
	}

	public void setClassGroupId(Integer classGroupId) {
		this.classGroupId = classGroupId;
	}

	public int getCoursesTimes() {
		return coursesTimes;
	}

	public void setCoursesTimes(int coursesTimes) {
		this.coursesTimes = coursesTimes;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public List<CourseTimeDto> getTeachingArrangementList() {
		return teachingArrangementList;
	}

	public void setTeachingArrangementList(List<CourseTimeDto> teachingArrangementList) {
		this.teachingArrangementList = teachingArrangementList;
	}

	public TeachModeEnum getTeachMode() {
		return teachMode;
	}

	public void setTeachMode(TeachModeEnum teachMode) {
		this.teachMode = teachMode;
	}

	public CourseScheduleType getType() {
		return type;
	}

	public void setType(CourseScheduleType type) {
		this.type = type;
	}

	public Integer getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Integer schoolId) {
		this.schoolId = schoolId;
	}

	public boolean getIsJumpHoliday() {
		return isJumpHoliday;
	}

	public void setIsJumpHoliday(boolean isJumpHoliday) {
		this.isJumpHoliday = isJumpHoliday;
	}

	public List<Long> getCourseScheduleIdList() {
		return courseScheduleIdList;
	}

	public void setCourseScheduleIdList(List<Long> courseScheduleIdList) {
		this.courseScheduleIdList = courseScheduleIdList;
	}
}
